Bug 441824 - Add super-H(sh3,4) architecture support.
Add super-H(sh3,4) architecture support.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcdmaster (Show other bugs)
9
sh4 Linux
low Severity low
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 09:19 EDT by CHIKAMA Masaki
Modified: 2009-07-14 17:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gcdmaster-spec-sh.diff (413 bytes, patch)
2008-04-10 09:19 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-04-10 09:19:51 EDT
Description of problem:

 This patch adds support super-H(sh3,sh4) architecture.
This is forward ported patch for version gcdmaser-1.2.2-x
getting from http://www.sh-linux.org/ .

The patch is against gcdmaster.spec file.
If you don't want to pollute spec file, I'll prepare "PatchX:" file.
The upstream seems to be dead, so would you merge it to your package ?
Thanks.
Comment 1 CHIKAMA Masaki 2008-04-10 09:19:51 EDT
Created attachment 301975 [details]
gcdmaster-spec-sh.diff
Comment 2 Denis Leroy 2008-04-10 10:57:03 EDT
Thanks for the patch.

Well, I'm actually the upstream administrator. It's certainly not dead, just,
errr, very slow moving :-)

Did you post this patch to the cdrdao mailing list or on sourceforge ?

Would you care to explain what your patch does ? The current CVS trunk of
gcdmaster is moving away from cdrtools. Linux builds will default to a native SG
interface now.

I'm looking into dumping cdrecord completely, since it has licensing issues as
well as being a packaging nightmare. As soon as cdrkit has some sort of
development interface we'll move on to that.
Comment 3 CHIKAMA Masaki 2008-04-11 10:52:56 EDT
Thank you for your quick response :-).

> Well, I'm actually the upstream administrator. It's certainly not dead, just,
> errr, very slow moving :-)
Oh, forgive me for my bad words.
 
> Did you post this patch to the cdrdao mailing list or on sourceforge ?

No. I'm not even an original author of this patch.
I want to make a path from less common repository to upstearm.
So I'm happy to get your attention.

> Would you care to explain what your patch does ? The current CVS trunk of
> gcdmaster is moving away from cdrtools. Linux builds will default to a native SG
> interface now.

This patch enables to compile on SH architecture. Without it, gcdmaster fails
to compile with this error. The patch prepares new rule for sh{3,4,4a}
the same as i386. I'll check the current CVS trunk later.

make[1]: Entering directory `/builddir/build/BUILD/cdrdao-1.2.2'
Making all in scsilib
make[2]: Entering directory `/builddir/build/BUILD/cdrdao-1.2.2/scsilib'
RULES/rules1.top:234: incs/Dcc.sh4a-linux: No such file or directory
RULES/rules.top:39: RULES/sh4a-linux-cc.rul: No such file or directory
RULES/rules.cnf:56: incs/sh4a-linux-cc/Inull: No such file or directory
RULES/rules.cnf:57: incs/sh4a-linux-cc/rules.cnf: No such file or directory
Makefile:18: warning: overriding commands for target `install'
RULES/rules1.dir:27: warning: ignoring old commands for target `install'
p incs/sh4a-linux-cc
make[2]: p: Command not found
make[2]: [incs/sh4a-linux-cc/Inull] Error 127 (ignored)
/bin/sh: incs/sh4a-linux-cc/Inull: No such file or directory
make[2]: *** [incs/sh4a-linux-cc/Inull] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/cdrdao-1.2.2/scsilib'


> I'm looking into dumping cdrecord completely, since it has licensing issues as
> well as being a packaging nightmare. As soon as cdrkit has some sort of
> development interface we'll move on to that.

Thank you for your effort. 
I can help on this architecture (at least compiling).
Comment 4 CHIKAMA Masaki 2008-04-17 08:04:45 EDT
Hi.
I think we need a cooperation to solve cdrecord problem.
There are different solution for this problem between packages.
See Bug #441823 and Bug #442883.
Comment 5 Bug Zapper 2008-05-14 05:14:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jörg Schilling 2009-02-10 09:55:37 EST
If you like to make sure that proposals for 
feature enhancements will reach a project, you better
try to contact the authors of the project.

otherwise, your remarks will only be seen by accident.

please note that if you are using an automake enable make
program such as "smake", there is no need to manually create 
support for new arechitectures as this will be done automatically
by smake.

If you like to check how this works, I recommend you to fetch
the schily Source consolidation from:

ftp://ftp.berlios.de/pub/schily/

and start a compilation. This will first create a new smake
binary and then compile the rest with the just created smake.
Note that the schily consolidation includes recent cdrtools
sources.
Comment 7 Bug Zapper 2009-06-09 20:06:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:15:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Jörg Schilling 2009-07-14 17:46:13 EDT
Declaring Fedora 9 EOL does not fix the problem.

If you like to get a solution, look at free and well maintained
software. Get e.g. a recent cdrtools from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

Note You need to log in before you can comment on or make changes to this bug.